gdb: update to version 7.12.1, fix glibc 2.25 build issues
[openwrt/staging/mkresin.git] / package / devel / gdb / patches / 110-shared_libgcc.patch
1 --- a/configure.ac
2 +++ b/configure.ac
3 @@ -1406,13 +1406,13 @@ if test -z "$LD"; then
4 fi
5 fi
6
7 -# Check whether -static-libstdc++ -static-libgcc is supported.
8 +# Check whether -static-libstdc++ is supported.
9 have_static_libs=no
10 if test "$GCC" = yes; then
11 saved_LDFLAGS="$LDFLAGS"
12
13 - LDFLAGS="$LDFLAGS -static-libstdc++ -static-libgcc"
14 - AC_MSG_CHECKING([whether g++ accepts -static-libstdc++ -static-libgcc])
15 + LDFLAGS="$LDFLAGS -static-libstdc++"
16 + AC_MSG_CHECKING([whether g++ accepts -static-libstdc++])
17 AC_LANG_PUSH(C++)
18 AC_LINK_IFELSE([
19 #if (__GNUC__ < 4) || (__GNUC__ == 4 && __GNUC_MINOR__ < 5)
20 @@ -1740,7 +1740,7 @@ AC_ARG_WITH(stage1-ldflags,
21 # if supported. But if the user explicitly specified the libraries to use,
22 # trust that they are doing what they want.
23 if test "$stage1_libs" = "" -a "$have_static_libs" = yes; then
24 - stage1_ldflags="-static-libstdc++ -static-libgcc"
25 + stage1_ldflags="-static-libstdc++"
26 fi])
27 AC_SUBST(stage1_ldflags)
28
29 @@ -1769,7 +1769,7 @@ AC_ARG_WITH(boot-ldflags,
30 # statically. But if the user explicitly specified the libraries to
31 # use, trust that they are doing what they want.
32 if test "$poststage1_libs" = ""; then
33 - poststage1_ldflags="-static-libstdc++ -static-libgcc"
34 + poststage1_ldflags="-static-libstdc++"
35 fi])
36 AC_SUBST(poststage1_ldflags)
37
38 --- a/configure
39 +++ b/configure
40 @@ -5109,14 +5109,14 @@ if test -z "$LD"; then
41 fi
42 fi
43
44 -# Check whether -static-libstdc++ -static-libgcc is supported.
45 +# Check whether -static-libstdc++ is supported.
46 have_static_libs=no
47 if test "$GCC" = yes; then
48 saved_LDFLAGS="$LDFLAGS"
49
50 - LDFLAGS="$LDFLAGS -static-libstdc++ -static-libgcc"
51 - { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether g++ accepts -static-libstdc++ -static-libgcc" >&5
52 -$as_echo_n "checking whether g++ accepts -static-libstdc++ -static-libgcc... " >&6; }
53 + LDFLAGS="$LDFLAGS -static-libstdc++"
54 + { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether g++ accepts -static-libstdc++" >&5
55 +$as_echo_n "checking whether g++ accepts -static-libstdc++... " >&6; }
56 ac_ext=cpp
57 ac_cpp='$CXXCPP $CPPFLAGS'
58 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
59 @@ -5902,7 +5902,7 @@ else
60 # if supported. But if the user explicitly specified the libraries to use,
61 # trust that they are doing what they want.
62 if test "$stage1_libs" = "" -a "$have_static_libs" = yes; then
63 - stage1_ldflags="-static-libstdc++ -static-libgcc"
64 + stage1_ldflags="-static-libstdc++"
65 fi
66 fi
67
68 @@ -5938,7 +5938,7 @@ else
69 # statically. But if the user explicitly specified the libraries to
70 # use, trust that they are doing what they want.
71 if test "$poststage1_libs" = ""; then
72 - poststage1_ldflags="-static-libstdc++ -static-libgcc"
73 + poststage1_ldflags="-static-libstdc++"
74 fi
75 fi
76